package com.gatedge.jindie.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;

/**
 * @param
 * @Author: 王康
 * @Description: TODO
 * @return
 * @StringTime: 2023/9/6 11:47
 * 描述：
 **/
public class Entity {
    /**
     * 主键
     */
    @JsonProperty("FID")
    private String FID;
    /**
     * 报价编号
     */
    @JsonProperty("FBILLNO")
    private String FBILLNO;
    /**
     * 询价名称
     */
    @JsonProperty("FProjectName")
    private String FProjectName;
    /**
     * 询价单号
     */
    @JsonProperty("FSrcBillNo")
    private String FSrcBillNo;
    /**
     * 供应商编码
     */
    @JsonProperty("FSupplierId")
    private String FSupplierId; // 必填项
    /**
     * 供应商名称
     */
    @JsonProperty("FSupplierName")
    private String FSupplierName;
    /**
     * 开标日期
     */
    @JsonProperty("FOpenDate")
    private String FOpenDate; // 必填项
    /**
     * 报价状态
     */
    @JsonProperty("FPriceStatus")
    private String FPriceStatus;

    /**
     * 报价日期
     */
    @JsonProperty("FQuoteDate")
    private String FQuoteDate;

    /**
     * 报价截止日期
     */
    @JsonProperty("FExpiryDate")
    private String FExpiryDate; // 必填项

    /**
     * 联系人
     */
    @JsonProperty("FContact")
    private String FContact;

    /**
     * 电话
     */
    @JsonProperty("FPhone")
    private String FPhone;

    /**
     * 邮箱
     */
    @JsonProperty("FMail")
    private String FMail;

    /**
     * 币别
     */
    @JsonProperty("FCurrId")
    private String FCurrId;

    /**
     * 含税
     */
    @JsonProperty("FIsIncludedTax")
    private String FIsIncludedTax;

    /*
     * 询价日期
     * */
    @JsonProperty("FDate")
    private String FDate;
    /*
     * 询价员
     * */
    @JsonProperty("FBuyer")
    private String FBuyer;

    /*
     * 审核人
     * */
    @JsonProperty("FCheckerId")
    private String FCheckerId;

    /*
     * 数据状态 C为审核
     * */
    @JsonProperty("FDocumentStatus")
    private String FDocumentStatus;

    /*
    * 状态
    * */
    @JsonProperty("Status")
    private boolean Status;

    public Entity() {
    }

    public Entity(String FID, String FBILLNO, String FProjectName, String FSrcBillNo, String FSupplierId, String FSupplierName, String FOpenDate, String FPriceStatus, String FQuoteDate, String FExpiryDate, String FContact, String FPhone, String FMail, String FCurrId, String FIsIncludedTax,String FDate,String FBuyer,String FCheckerId,String FDocumentStatus) {
        this.FID = FID;
        this.FBILLNO = FBILLNO;
        this.FProjectName = FProjectName;
        this.FSrcBillNo = FSrcBillNo;
        this.FSupplierId = FSupplierId;
        this.FSupplierName = FSupplierName;
        this.FOpenDate = FOpenDate;
        this.FPriceStatus = FPriceStatus;
        this.FQuoteDate = FQuoteDate;
        this.FExpiryDate = FExpiryDate;
        this.FContact = FContact;
        this.FPhone = FPhone;
        this.FMail = FMail;
        this.FCurrId = FCurrId;
        this.FIsIncludedTax = FIsIncludedTax;
        this.FDate = FDate;
        this.FBuyer = FBuyer;
        this.FCheckerId = FCheckerId;
        this.FDocumentStatus = FDocumentStatus;
    }


    public String getFID() {
        return FID;
    }

    public void setFID(String FID) {
        this.FID = FID;
    }

    public String getFBILLNO() {
        return FBILLNO;
    }

    public void setFBILLNO(String FBILLNO) {
        this.FBILLNO = FBILLNO;
    }

    public String getFProjectName() {
        return FProjectName;
    }

    public void setFProjectName(String FProjectName) {
        this.FProjectName = FProjectName;
    }

    public String getFSrcBillNo() {
        return FSrcBillNo;
    }

    public void setFSrcBillNo(String FSrcBillNo) {
        this.FSrcBillNo = FSrcBillNo;
    }

    public String getFSupplierId() {
        return FSupplierId;
    }

    public void setFSupplierId(String FSupplierId) {
        this.FSupplierId = FSupplierId;
    }

    public String getFSupplierName() {
        return FSupplierName;
    }

    public void setFSupplierName(String FSupplierName) {
        this.FSupplierName = FSupplierName;
    }

    public String getFOpenDate() {
        return FOpenDate;
    }

    public void setFOpenDate(String FOpenDate) {
        this.FOpenDate = FOpenDate;
    }

    public String getFPriceStatus() {
        return FPriceStatus;
    }

    public void setFPriceStatus(String FPriceStatus) {
        this.FPriceStatus = FPriceStatus;
    }

    public String getFQuoteDate() {
        return FQuoteDate;
    }

    public void setFQuoteDate(String FQuoteDate) {
        this.FQuoteDate = FQuoteDate;
    }

    public String getFExpiryDate() {
        return FExpiryDate;
    }

    public void setFExpiryDate(String FExpiryDate) {
        this.FExpiryDate = FExpiryDate;
    }

    public String getFContact() {
        return FContact;
    }

    public void setFContact(String FContact) {
        this.FContact = FContact;
    }

    public String getFPhone() {
        return FPhone;
    }

    public void setFPhone(String FPhone) {
        this.FPhone = FPhone;
    }

    public String getFMail() {
        return FMail;
    }

    public void setFMail(String FMail) {
        this.FMail = FMail;
    }

    public String getFCurrId() {
        return FCurrId;
    }

    public void setFCurrId(String FCurrId) {
        this.FCurrId = FCurrId;
    }

    public String getFIsIncludedTax() {
        return FIsIncludedTax;
    }

    public void setFIsIncludedTax(String FIsIncludedTax) {
        this.FIsIncludedTax = FIsIncludedTax;
    }

    public boolean isStatus() {
        return Status;
    }

    public void setStatus(boolean status) {
        Status = status;
    }

    public String getFDate() {
        return FDate;
    }

    public void setFDate(String FDate) {
        this.FDate = FDate;
    }

    public String getFBuyer() {
        return FBuyer;
    }

    public void setFBuyer(String FBuyer) {
        this.FBuyer = FBuyer;
    }

    public String getFCheckerId() {
        return FCheckerId;
    }

    public void setFCheckerId(String FCheckerId) {
        this.FCheckerId = FCheckerId;
    }

    public String getFDocumentStatus() {
        return FDocumentStatus;
    }

    public void setFDocumentStatus(String FDocumentStatus) {
        this.FDocumentStatus = FDocumentStatus;
    }
}
