package com.gatedge.jindie.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;

/**
 * @param
 * @Author: 王康
 * @Description: TODO
 * @return
 * @DateTime: 2023/9/6 13:54
 * 描述：
 **/
public class EntityItem {
    /**
     * 主键
     */
    @JsonProperty("FEntryID")
    private String FEntryID;
    /**
     * 物料代码
     */
    @JsonProperty("FMaterialId")
    private String FMaterialId; // 必填项

    /*
    * 物料名称
    * */
    @JsonProperty("FMaterialName")
    private String FMaterialName;

    /**
     * 规格型号
     */
    @JsonProperty("FMaterialModel")
    private String FMaterialModel;

    /**
     * 单位
     */
    @JsonProperty("FUnitID")
    private String FUnitID;

    /**
     * 询价数量
     */
    @JsonProperty("FQty")
    private String FQty;
    /**
     * 单价
     */
    @JsonProperty("FPrice")
    private String FPrice;
    /**
     * 税率%
     */
    @JsonProperty("FTaxRate")
    private String FTaxRate;
    /**
     * 含税单价
     */
    @JsonProperty("FTaxPrice")
    private String FTaxPrice;

    /*
    * 备注
    * */
    @JsonProperty("FNote")
    private String FNote;
    /**
     * 付款方式
     */
    @JsonProperty("FPayConditionId")
    private String FPayConditionId;
    /*
    * 序号
    * */
    @JsonProperty("FSEQ")
    private String FSEQ;

    public EntityItem() {

    }

    public EntityItem(String FEntryID, String FMaterialId,String FMaterialName,  String FUnitID, String FQty, String FPrice, String FTaxRate, String FTaxPrice, String FNote, String FPayConditionId) {
        this.FEntryID = FEntryID;
        this.FMaterialId = FMaterialId;
        this.FMaterialName = FMaterialName;
//        this.FMaterialModel = FMaterialModel;
        this.FUnitID = FUnitID;
        this.FQty = FQty;
        this.FPrice = FPrice;
        this.FTaxRate = FTaxRate;
        this.FTaxPrice = FTaxPrice;
        this.FNote = FNote;
        this.FPayConditionId = FPayConditionId;
    }

    public String getFEntryID() {
        return FEntryID;
    }

    public void setFEntryID(String FEntryID) {
        this.FEntryID = FEntryID;
    }

    public String getFMaterialId() {
        return FMaterialId;
    }

    public void setFMaterialId(String FMaterialId) {
        this.FMaterialId = FMaterialId;
    }

    public String getFMaterialModel() {
        return FMaterialModel;
    }

    public void setFMaterialModel(String FMaterialModel) {
        this.FMaterialModel = FMaterialModel;
    }

    public String getFUnitID() {
        return FUnitID;
    }

    public void setFUnitID(String FUnitID) {
        this.FUnitID = FUnitID;
    }

    public String getFQty() {
        return FQty;
    }

    public void setFQty(String FQty) {
        this.FQty = FQty;
    }

    public String getFPrice() {
        return FPrice;
    }

    public void setFPrice(String FPrice) {
        this.FPrice = FPrice;
    }

    public String getFTaxRate() {
        return FTaxRate;
    }

    public void setFTaxRate(String FTaxRate) {
        this.FTaxRate = FTaxRate;
    }

    public String getFTaxPrice() {
        return FTaxPrice;
    }

    public void setFTaxPrice(String FTaxPrice) {
        this.FTaxPrice = FTaxPrice;
    }

    public String getFPayConditionId() {
        return FPayConditionId;
    }

    public void setFPayConditionId(String FPayConditionId) {
        this.FPayConditionId = FPayConditionId;
    }

    public String getFMaterialName() {
        return FMaterialName;
    }

    public void setFMaterialName(String FMaterialName) {
        this.FMaterialName = FMaterialName;
    }

    public String getFNote() {
        return FNote;
    }

    public void setFNote(String FNote) {
        this.FNote = FNote;
    }

    public String getFSEQ() {
        return FSEQ;
    }

    public void setFSEQ(String FSEQ) {
        this.FSEQ = FSEQ;
    }


}
