package com.gatedge.jindie;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.gatedge.jindie.entity.EntityItem;

import java.text.SimpleDateFormat;
import java.util.*;

/**
 * @param
 * @Author: 王康
 * @Description: TODO
 * @return
 * @DateTime: 2023/9/6 10:50
 * 描述：
 **/
public class test {

    public static void main(String[] args) {
//        String jsonString = "[[100046,\"1.01.001.0057\",\"侧板-50KW系列\",\"Pcs\",100,0,16,0,\" \",\"先收30%，70%在应收单后30天收\"],[100047,\"1.01.001.0055\",\"接板-A系列\",\"Pcs\",200,0,16,0,\" \",\"先收30%，70%在应收单后30天收\"]]";
//        String jsonString1 = "[[100007,\"BJ23060006\",\"测试密封报价\",\"XJ23060001\",101643,\"手机事业部\",\"2023-06-28T00:00:00\",\"A\",\"2023-06-22T00:00:00\",\"2023-06-26T00:00:00\",\" \",\" \",\" \",1,true,\"156628\",\"C\"]]";
//        t1(jsonString);
//        t1(jsonString1);
        SimpleDateFormat simpleDateFormat=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String format = simpleDateFormat.format(new Date());
        System.out.println(new Date());
        System.out.println(format);
    }
    static void t1(String jsonString){
        try {
            ObjectMapper objectMapper = new ObjectMapper();
            JsonNode jsonArray = objectMapper.readTree(jsonString);
            if (jsonArray.isArray()) {
                int FSEQ=1;
                for (JsonNode jsonItem : jsonArray) {
                    String input = jsonItem.toString();
                    String substring = input.substring(0, 2);
                    input = input.substring(1, input.length() - 1); // 截取字符串，去掉 "[[" 和 "]]"
                    String[] parts = input.split(",");
                    List<String> list = new ArrayList<>();
                    for (String part : parts) {
                        String cleanedPart = part.replaceAll("[\"\\s+]", ""); // 去掉多余的双引号和空格
                        list.add(cleanedPart);
                    }
                    EntityItem entityItem = new EntityItem(list.get(0),list.get(1),list.get(2),list.get(3),list.get(4),list.get(5),list.get(6),list.get(7),list.get(8),list.get(9));
                    entityItem.setFSEQ(String.valueOf(FSEQ));
                    FSEQ++;
                }
            } else {
                System.err.println("Invalid JSON array format.");
            }
        } catch (JsonProcessingException e) {
            e.printStackTrace();
        }
    }
}


